import mongoose, { Document, Schema } from 'mongoose';

interface IUser extends Document {
  Name: string;
  Email: string;
  Phone: string;
  EmployeeID: string;
  created_at: Date;
  active: boolean;
  updated_at: Date;
}

const userSchema = new Schema<IUser>({
  Name: {
    type: String,
    required: true,
  },
  Email: {
    type: String,
    required: true,
  },
  Phone: {
    type: String,
    required: true,
  },
  EmployeeID: {
    type: String,
    required: true,
  },
  created_at: {
    type: Date,
    default: Date.now,
  },
  updated_at: {
    type: Date,
    default: Date.now,
  },
  active: {
    type: Boolean,
    default: true,
  },
});

const UserModel = mongoose.model<IUser>('User', userSchema);

export default UserModel;
