import { Redis } from "./redis/Redis";
import fs from "fs";
import { User } from "./common/types/User";

class Inserter {
  redis: Redis;

  constructor() {
    console.log("Inserter class is created");
    this.redis = new Redis();
  }

  async connectToRedis() {
    await this.redis.connect();
  }

  async start() {
    try {
      await this.connectToRedis();
      const data = await this.readFile("./data.json");
      await this.redis.transactionToRedis(data);
    } catch (error) {
      console.error("Error:", error);
    } finally {
      this.redis.close();
    }
  }

  async readFile(filePath: string): Promise<User[]> {
    const data = fs.readFileSync(filePath, "utf8");
    const json = JSON.parse(data);
    return json;
  }
}

const inserter = new Inserter();
inserter.start();
